<template>
	<view class="content">
		<view class="conwarp">
			<view class="gdHead dfsb"><view class="head">回放列表</view></view>
			<view class="floor">
				<view class="fl-five"><video-list :zbitem='zbitem' :flag="1" :list="zbReplay"></video-list></view>
			</view>
		</view>
	</view>
</template>

<script>
import videoList from './components/list.vue';
export default {
	components: {
		videoList
	},
	data() {
		return {
			zbitem: {},
			zbReplay: {},
		};
	},
	onPullDownRefresh() {
		setTimeout(res => {
			uni.stopPullDownRefresh();
		}, 1000);
	},
	async onLoad(opt) {
		this.zbitem = JSON.parse(opt.item);
		await this.getzbInfo();
	},
	methods: {
		getzbInfo() {
			this.$api.request('live/get_replay', { roomid: this.zbitem.roomid }).then(data => {
				if (data.code == 200) {
					this.zbReplay = data.data.live_replay;
				} else {
					this.$api.toast(data.msg);
				}
			});
		}
	}
};
</script>

<style lang="scss" scoped>
.content {
	background-color: #fff;
	.top-input {
		padding: 20rpx 30rpx;
		.sel {
			color: #f89638;
			padding: 12rpx 20rpx;
			font-size: $font-sm;
			background-color: rgba(#f89638, 0.1);
			border-radius: 30rpx;
			margin-right: 36rpx;
		}
	}
	.swiper {
		margin: 0 30rpx;
	}
	.conwarp {
		background-color: #fff;
		padding: 32rpx 30rpx 30rpx;
		border-radius: 16rpx;
		margin-bottom: 20rpx;
		.gdHead {
			line-height: 58rpx;
			margin-bottom: 16rpx;
			.head {
				font-size: 34rpx;
				font-family: PingFangSC-Medium, PingFang SC;
				font-weight: 600;
				color: #333333;
				line-height: 48rpx;
			}
		}
		.floor {
			border-radius: 15rpx;
			.box {
				border: 1px solid #ececec;
				padding: 23rpx 25rpx;
			}
		}
	}
}
</style>
